# Created by pyp2rpm-3.3.2
%global pypi_name vnu_validator
%global rpm_name vnu-validator

Name:           python-%{rpm_name}
Version:        0.10.0
Release:        %mkrel 1
Summary:        Python Wrapper for the v.Nu HTML Validator
Group:          Development/Python
License:        MIT license
URL:            https://github.com/shlomif/python-vnu_validator
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(sphinx)

%description
Python Wrapper for the v.Nu HTML Validator. It allows one to recursively test a
directory of XHTML5 or HTML5 files for HTML validity. It provides a caching
feature for speedup of subsequent runs.

%package -n     python3-%{rpm_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{rpm_name}}

Requires:       python3dist(setuptools)
%description -n python3-%{rpm_name}
Python Wrapper for the v.Nu HTML Validator. It allows one to recursively test a
directory of XHTML5 or HTML5 files for HTML validity. It provides a caching
feature for speedup of subsequent runs.

%package -n python-%{rpm_name}-doc
Summary:        vnu-validator documentation
%description -n python-%{rpm_name}-doc
Documentation for vnu-validator

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
rm -rf %{buildroot}%{_bindir}/*
%pyproject_install
%pyproject_save_files vnu_validator

%check
%tox

%files -n python3-%{rpm_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst

%files -n python-%{rpm_name}-doc
%doc html
%license LICENSE


%changelog
* Wed Feb 21 2024 papoteur <papoteur> 0.10.0-1.mga10
+ Revision: 2042878
- new version 0.10.0

* Tue Mar 29 2022 umeabot <umeabot> 0.8.0-6.mga9
+ Revision: 1832709
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 0.8.0-5.mga9
+ Revision: 1781193
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.8.0-4.mga9
+ Revision: 1732397
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.8.0-3.mga8
+ Revision: 1533984
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 0.8.0-2.mga8
+ Revision: 1446537
- rebuild for python3.8

* Fri Sep 06 2019 shlomif <shlomif> 0.8.0-1.mga8
+ Revision: 1437897
- New version 0.8.0

* Mon Jan 07 2019 shlomif <shlomif> 0.4.2-2.mga7
+ Revision: 1350377
- Rebuild for python3 3.7

* Mon Nov 05 2018 shlomif <shlomif> 0.4.2-1.mga7
+ Revision: 1328593
- New version 0.4.2

* Mon Nov 05 2018 shlomif <shlomif> 0.4.1-1.mga7
+ Revision: 1328491
- New version 0.4.1

* Mon Nov 05 2018 shlomif <shlomif> 0.4.0-1.mga7
+ Revision: 1328479
- New version 0.4.0

* Mon Oct 08 2018 shlomif <shlomif> 0.2.1-1.mga7
+ Revision: 1318693
- pyp2rpm

